package com.ycwl.basic.model.pc.device.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:58
 */
@Data
@ApiModel("设备列表响应参数")
public class DeviceRespVO {
    private Long id;
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("设备名称")
    private String name;
    @ApiModelProperty("设备编号")
    private String no;
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    @ApiModelProperty("纬度")
    private BigDecimal latitude;
    @ApiModelProperty("是否启用，0不启用，1启用")
    private Integer status;
    @ApiModelProperty("是否在线，0不在线，1在线")
    private Integer online;
    private String coverUrl;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createAt;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateAt;
    @ApiModelProperty("景区名称")
    private String scenicName;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date keepaliveAt;
    private String deviceNo;
    private String channelNo;
}
