package com.ycwl.basic.model.pc.template.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 14:10
 * 模版
 */
@Data
@TableName("template")
public class TemplateEntity {
    @TableId
    private Long id;
    /**
     * 景区ID
     */
    private Long scenicId;
    /**
     * 模版名称
     */
    private String name;
    /**
     * 父模版ID
     */
    private long pid = 0;
    /**
     * 是否是占位素材，0不是，1是
     */
    private Integer isPlaceholder;
    /**
     * 来源，如果是占位素材则为占位标识
     * CHILD：所有子模板
     * PLACEHOLDER_***：根据任务附加属性获取
     */
    private String sourceUrl;
    private String effects;
    /**
     * 逗号隔开，叠加调色列表
     */
    private String luts;
    /**
     * 逗号隔开，叠加蒙版列表
     */
    private String overlays;
    /**
     * 逗号隔开，叠加音轨列表
     */
    private String audios;
    /**
     * 帧率
     */
    private Integer frameRate;
    private String coverUrl;
    /**
     * 倍速，默认1
     */
    private BigDecimal speed;
    /**
     * 价格，单位元
     */
    private BigDecimal price;
    private BigDecimal slashPrice;
    /**
     * 是否启用，0不是，1是
     */
    private Integer status;
    private Date createTime;
    private Date updateTime;

    private Integer sort;
    private Integer cropEnable;
    private String onlyIf;
    private String resolution;
    private List<TemplateEntity> children;
}
